#!/bin/sh

#output energy array definition
Delta=0.02 #logarihmic energy array bin density
Emin_out=0.0001 #low energy bound of energy array 
Emax_out=10000.0  #high energy bound of energy array

tau=${1}
kTe=${2}
z_red=${3}
seed_in_file=${4}

th_file=th_tau${tau}_kTe${kTe}_z${z_red}_${seed_in_file}

TH_INP=th.inp

/bin/cat <<EOF >${TH_INP}
delta= ${Delta}
Emin_out= ${Emin_out}
Emax_out= ${Emax_out}
kTe= ${2}
tau= ${1}
z_red= ${3}
seedf= ${4}
${th_file}
EOF

./th

rm ${TH_INP}
